import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { CustomerComponent } from './customer.component';
import { CustomersListComponent } from './customers-list/customers-list.component';
import { CustomersAddEditComponent } from './customers-add-edit/customers-add-edit.component';
import { CustomersAddEditTwoComponent } from './customers-add-edit-two/customers-add-edit-two.component';
import { CustomersAddEditThreeComponent } from './customers-add-edit-three/customers-add-edit-three.component';



const routes: Routes = [
    {path: '',  component: CustomerComponent, children: [
      {path: '', redirectTo: 'listView', pathMatch: 'full'},
      {path: 'listView', component: CustomersListComponent},
      {path: 'register', component: CustomersAddEditComponent},
      {path: 'registerTwo', component: CustomersAddEditTwoComponent},
      {path: 'registerThree', component: CustomersAddEditThreeComponent},

      {path: '**', redirectTo: 'listView', pathMatch: 'full'},
    ]},
  ];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class CustomersRoutingModule { }


